Subject: [BEHAVE] draft-ietf-behave-nat-behavior-discovery-00 submitted

From: "Bruce Lowekamp" <[email-masked]>
Date: Fri, 23 Feb 2007 16:47:31 -0500

Derek and I have submitted draft-ietf-behave-nat-behavior-discovery-00
to internet-drafts.  Until it appears in the repository, I've posted
temporary copies at:

http://www.sipeerior.com/tmp/draft-ietf-behave-nat-behavior-discovery-00.html
http://www.sipeerior.com/tmp/draft-ietf-behave-nat-behavior-discovery-00.txt

Changes from draft-macdonald-behave-nat-behavior-discovery-00:

    * Only OTHER-ADDRESS, CHANGE-ADDRESS, RESPONSE-ADDRESS and
XOR-RESPONSE-ADDRESS support is optional; support for PADDING and
SOURCE-ADDRESS is now mandatory
    * PADDING is now a mandatory attribute
    * OTHER-ADDRESS is returned in all binding responses if the server
has a second IP address

The changes made in this revision depend on 3489bis being changed to
allow OTHER-ADDRESS and SOURCE-ADDRESS for backwards compatibility
with 3489.

Bruce

_______________________________________________
Behave mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/behave

---

From: "Francois Audet" <[email-masked]>
Date: Fri, 23 Feb 2007 17:58:05 -0600

Bruce/Derek, excellent draft.

Minor comments:

- make sure you replace Reference [3] with RFC 4787.

- I think there needs to be an Operation for "Determining presence of
NAT".
  Even before you 3.1 operation.

> -----Original Message-----
> From: Bruce Lowekamp [mailto:[email-masked]] 
> Sent: Friday, February 23, 2007 13:48
> To: [email-masked]
> Subject: [BEHAVE] draft-ietf-behave-nat-behavior-discovery-00 
> submitted
> 
> to internet-drafts.  Until it appears in the repository, I've 
> posted temporary copies at:
> 
>     * Only OTHER-ADDRESS, CHANGE-ADDRESS, RESPONSE-ADDRESS 
> and XOR-RESPONSE-ADDRESS support is optional; support for 
> PADDING and SOURCE-ADDRESS is now mandatory
>     * OTHER-ADDRESS is returned in all binding responses if 
> the server has a second IP address
> 
> The changes made in this revision depend on 3489bis being 
> changed to allow OTHER-ADDRESS and SOURCE-ADDRESS for 
> backwards compatibility with 3489.
> 
> 
> Bruce
>

---

From: Nils Ohlmeier <[email-masked]>
Date: Mon, 26 Feb 2007 16:25:20 +0100

Bruce and Derek,

just a minor comment: in section 4.1 you conclude "that it is not capable of 
UDP connectivity" but you do not specify which transports is to be used for 
this test.
The headline of section 4.1 makes it more less obvious, but to be safe I would 
suggest to explicitly mention in the first sentense of 4.1 that UDP has to be 
used for this test.

Greetings
  Nils

---

From: "Alfred E. Heggestad" <[email-masked]>
Date: Tue, 27 Feb 2007 10:28:41 +0100

> http://www.sipeerior.com/tmp/draft-ietf-behave-nat-behavior-discovery-00.txt 

I would just like to point out that the attribute values defined
in section 7 and section 9 differ.

Section 7:

  0x8026: PADDING
  0x8027: CACHE-TIMEOUT

Section 9:

  0x0026: PADDING
  0x8026: CACHE-TIMEOUT

The value 0x0026 is in conflict with XOR-INTERNAL-ADDRESS from NAT Control
(http://www.employees.org/behave/stun-attributes.html)

could I ask that we assign new and unique values, and update the page above?

/alfred